/**
 * Sample React Native App
 * https://github.com/facebook/react-native
 *
 * Generated with the TypeScript template
 * https://github.com/react-native-community/react-native-template-typescript
 *
 * @format
 */

import React from 'react';
import {SafeAreaView, StatusBar} from 'react-native';
import Deck from './components/Deck';
import DeckButton from './components/DeckButton';

declare const global: {HermesInternal: null | {}};

const App = () => {
  const buttons = [];

  for (let i = 0; i < 21; i++) {
    let text = 'btn' + i;
    buttons.push(<DeckButton text={text} key={i} />);
  }

  return (
    <>
      <StatusBar hidden={true} />
      <SafeAreaView>
        <Deck>{buttons}</Deck>
      </SafeAreaView>
    </>
  );
};

export default App;
